// MiniDDoc.h : interface of the CMiniDrawDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CLine : public CObject
{
protected:
   DWORD m_X1, m_Y1, m_X2, m_Y2;

   CLine () 
      {}
   DECLARE_SERIAL (CLine)

public:
   CLine (int X1, int Y1, int X2, int Y2)
      {
      m_X1 = X1;
      m_Y1 = Y1;
      m_X2 = X2;
      m_Y2 = Y2;
      }     
   void Draw (CDC *PDC);
   CRect GetDimRect ();
   virtual void Serialize (CArchive& ar);
};

class CMiniDrawDoc : public CDocument
{
protected:
   CTypedPtrArray<CObArray, CLine*> m_LineArray;  
   
public:
   CLine *AddLine (int X1, int Y1, int X2, int Y2);
   CLine *GetLine (int Index);
   int GetNumLines ();

protected: // create from serialization only
   CMiniDrawDoc();
   DECLARE_DYNCREATE(CMiniDrawDoc)

// Attributes
public:

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CMiniDrawDoc)
   public:
   virtual BOOL OnNewDocument();
   virtual void Serialize(CArchive& ar);
   virtual void DeleteContents();
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CMiniDrawDoc();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CMiniDrawDoc)
   afx_msg void OnEditClearAll();
   afx_msg void OnUpdateEditClearAll(CCmdUI* pCmdUI);
   afx_msg void OnEditUndo();
   afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
